# -*- coding: utf-8 -*-
from __future__ import absolute_import
from __future__ import print_function
from yaml import load
from .utils import get_path

label_config_file = get_path('labelconfig.yaml')


class LabelConfig(object):
    def __init__(self, config_file_path):
        with open(config_file_path, 'r') as stream:
            self.config = load(stream)
        # print('yaml_data:', repr(yaml_data))
        # yaml.dump(yaml_data, sys.stdout, default_flow_style=False)
        if 'image names' in self.config:
            self.image_names = self.config['image names']
        else:
            raise ValueError('"image names" is not found in config file')
        if 'label types' in self.config:
            self.label_types = self.config['label types']
        else:
            raise ValueError('"label types" is not found in config file')
        if 'printers' in self.config:
            self.printers = self.config['printers']
        else:
            raise ValueError('"printers" is not found in config file')
        if 'templates' in self.config:
            self.templates = self.config['templates']
        else:
            raise ValueError('"svgfiles" is not found in svg config file')
