# -*- coding: utf-8 -*-
import logging
from os.path import abspath
from os.path import dirname
from os.path import isfile
from os.path import join
from pkg_resources import resource_exists
from pkg_resources import resource_filename


svg_dir = join(dirname(__file__), 'svg')


def get_path(name):
    """
    Returns the absolute path name of a resource file
    File in the current directory overrides file in package
    """
    path = None
    # if isfile(name):
    #     path = abspath(name)
    if __file__ is not None and isfile(join(dirname(__file__), name)):
        path = join(dirname(__file__), name)
    elif resource_exists(__name__, name):
        res_filename = resource_filename(__name__, name)
        res_path = abspath(join(dirname(__file__), res_filename))
        if isfile(res_path):
            path = res_path
    if path:
        logging.info("located path: %s", path)
    else:
        logging.error("could not locate path for: %s", name)
    return path
